Bug 2161451 - Review Request: crosswords-puzzle-sets-oedipus - Italia puzzle sets from Oedipus for GNOME Crosswords
Summary: Review Request: crosswords-puzzle-sets-oedipus - Italia puzzle sets from Oedi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-17 01:04 UTC by Davide Cavalca
Modified: 2023-01-24 00:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-01-19 06:36:52 UTC
Type: ---
Embargoed:
michel: fedora-review+


Attachments (Terms of Use)

Description Davide Cavalca 2023-01-17 01:04:30 UTC
Spec URL: https://dcavalca.fedorapeople.org/review/crosswords-puzzle-sets-oedipus/crosswords-puzzle-sets-oedipus.spec
SRPM URL: https://dcavalca.fedorapeople.org/review/crosswords-puzzle-sets-oedipus/crosswords-puzzle-sets-oedipus-0.1.1-1.fc38.src.rpm

Description:
This repo contains Italian puzzle set downloaders for GNOME Crosswords. The
puzzles are pulled from Oedipus and converted to the ipuz format supported
by Crosswords.

Fedora Account System Username: dcavalca

Comment 1 Davide Cavalca 2023-01-17 01:04:33 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=96226405

Comment 3 Michel Lind 2023-01-19 04:00:10 UTC
LGTM, APPROVED

Please ask upstream to include the license text

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 17 files have unknown license. Detailed
     output of licensecheck in /var/lib/copr-rpmbuild/results/crosswords-
     puzzle-sets-oedipus/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.


Rpmlint
-------
Checking: crosswords-puzzle-sets-oedipus-0.1.1-1.fc38.noarch.rpm
          crosswords-puzzle-sets-oedipus-0.1.1-1.fc38.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpx5uhufx_')]
checks: 31, packages: 2

 2 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.1 s 




Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.4.0
configuration:
    /usr/lib/python3.11/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 31, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 0 badness; has taken 0.0 s 



Source checksums
----------------
https://gitlab.gnome.org/davide125/puzzle-sets-oedipus/-/archive/0.1.1/puzzle-sets-oedipus-0.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 7e2bf52816b70f00aad578a49b7498f0bdcc5c1d3ff840de440219eb8641bba3
  CHECKSUM(SHA256) upstream package : 7e2bf52816b70f00aad578a49b7498f0bdcc5c1d3ff840de440219eb8641bba3


Requires
--------
crosswords-puzzle-sets-oedipus (rpmlib, GLIBC filtered):
    /usr/bin/python3
    crosswords
    python3
    python3dist(puzpy)
    python3dist(requests)



Provides
--------
crosswords-puzzle-sets-oedipus:
    crosswords-puzzle-sets-oedipus
    metainfo()
    metainfo(org.gnome.Crosswords.PuzzleSets.oedipus.metainfo.xml)



Generated by fedora-review 0.9.0 (6761b6c) last change: 2022-08-23
Command line :/usr/bin/fedora-review --no-colors --prebuilt --rpm-spec --name crosswords-puzzle-sets-oedipus --mock-config /var/lib/copr-rpmbuild/results/configs/child.cfg
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Ocaml, Python, Java, R, fonts, PHP, Haskell, Perl, SugarActivity, C/C++
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 4 Fedora Admin user for bugzilla script actions 2023-01-19 04:03:34 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/crosswords-puzzle-sets-oedipus

Comment 5 Fedora Update System 2023-01-19 04:18:08 UTC
FEDORA-2023-a46b0bbf5a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-a46b0bbf5a

Comment 6 Fedora Update System 2023-01-19 06:36:52 UTC
FEDORA-2023-a46b0bbf5a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2023-01-22 07:08:31 UTC
FEDORA-2023-35c03b13a9 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-35c03b13a9

Comment 8 Fedora Update System 2023-01-22 07:24:36 UTC
FEDORA-2023-9b258e5fe6 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9b258e5fe6

Comment 9 Fedora Update System 2023-01-23 01:59:09 UTC
FEDORA-2023-9b258e5fe6 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-01-24 00:27:31 UTC
FEDORA-2023-35c03b13a9 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.